package com.sf.day07;


import com.sun.org.apache.regexp.internal.RE;
import org.omg.CORBA.PUBLIC_MEMBER;

import java.awt.image.PackedColorModel;
import java.util.*;

/**
 * Arrays工具类的使用
 */
public class Test {

    @org.junit.Test
    public void t1(){
    //toString(Object[] obj)
        int[] arr =  new int[5];
        for (int i = 0; i < arr.length; i++) {
           arr[i] =  i+1;
        }
//        for (int i = 0; i < arr.length; i++) {
//            System.out.println(arr[i]);
//        }
        System.out.println(Arrays.toString(arr));
    }

    @org.junit.Test
    public void t2(){
        int[] arr = {9,2,5,3,7,4};
        //排序
//        Arrays.sort(arr);
////        System.out.println(Arrays.toString(arr));
//        Arrays.sort(arr,1,5);
////        System.out.println(Arrays.toString(arr));
//        int i = Arrays.binarySearch(arr, 2);
//        System.out.println(i);
//        int[] newArr = Arrays.copyOf(arr, 7);
//        System.out.println(Arrays.toString(newArr));
        int[] ints = Arrays.copyOfRange(arr, 1, 5);
//        System.out.println(Arrays.toString(ints));
        System.out.println(Arrays.equals(arr,ints));
        Arrays.fill(ints,1,3,99);
        System.out.println(Arrays.toString(ints));
    }

    @org.junit.Test
    public void t3(){
        /**
         * 方法的语法结构
         * 权限修饰符 public  [其他修饰符]  返回值类型（有/无返回值void）  方法名 (参数列表) 抛出异常{
         *     代码体
         * }
         *
         * 有无返回值方法
         * 有无参数的方法
         * 重载方法
         * 方法的调用
         */

    }

    /**
     * 有返回值方法
     */
    public String getChars(){
        System.out.println("有返回值无入参的方法");
        return "abcd";
    }

    /**
     * 无返回值方法
     */
    public void getChars2(){
        System.out.println("无返回值&&无入参的方法");
    }

    /**
     * 有入参的方法无返回值
     */

    public void method1(Object...args){
        System.out.println("有参数无返回值的方法");
    }

    public int method2(Object...args){
        System.out.println("有参数无返回值的方法");
        return 1;
    }

    /**
     * 含有其他修饰符号的方法
     */
    public static int methodStatic(Object...args){
        System.out.println("含有其他修饰符号的方法");
        return 1;
    }

    /**
     * 方法的调用
     *      在同一个类中
     */

    public static void main(String[] args) {
        methodStatic();
    }

    @org.junit.Test
    public void t5(){
        methodStatic();
        method2();
    }

    /**
     * 重载方法  ： 方法名相同但是参数列表的方法
     */

    public void eat(){
        System.out.println("不指定名称吃");
    }

    public void eat(String name){
        System.out.println("指定"+name+"名称吃");
    }


    /**
     * 错误案例  和上面不是重载方法
     */
//    private int eat(String name){
//        System.out.println("指定"+name+"名称吃");
//        return 1;
//    }

    @org.junit.Test
    public void t6(){
        System.out.println(getChar(65,90));
        System.out.println((char)90);
    }
    /**
     * 定一个方法   随机 生成A-Z
     */

    public char getChar(int start,int end){
       return  (char)  (Math.random()*(end - start +1)+start);
    }
}
