package com.sf.day09.lx2;

public class DepositCard {
    private String id;
    private double balance;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public double getBalance() {
        return balance;
    }

    public void setBalance(double balance) {
        this.balance = balance;
    }

    public void withdraw(double money){
        if(money<0){
            System.out.println("取款金额不能为负数");
            return;
        }
        if(money>balance){
            System.out.println("余额不足");
            return;
        }
        balance -= money;
    }

    public void save(double money){
        if(money<0){
            System.out.println("存款金额不能为负数");
            return;
        }
        balance += money;
    }

    public String getInfo(){
        return "账号：" + id + "，余额：" + balance;
    }
}
