package com.sf.day13._03_insert_class.test;

import com.sf.day13._03_insert_class.able.IRunable;
import com.sf.day13._03_insert_class.dt.Anmail;

/**
 * create By  fjl
 */
public class Test1 {

    public static void main(String[] args) {
        // 匿名内部类的写法
        // 前面是接口或者是父类
//        new IRunable() {
//            @Override
//            public void run() {
//
//            }
//        };
        /**
         * 上面代码就相当于给我们runable 接口创建一个实现类 ,没有名字
         */
        /**
         * 对比那种更加简单
         * 没有匿名内部类之前
         * 创建接口 -> 创建实现类实现接口 -> 测试
         * 有了匿名内部类
         * 创建接口 -> 测试
         *
         */
//        IRunable runable = new IRunable() {
//            @Override
//            public void run() {
//                System.out.println("运行");
//            }
//        };
//        runable.run();

        /**
         * 定义一个接口IRunAble,定义run 方法
         *
         * 定义Anmail 的类, 这个类当中需要有一个方法
         * public void runner(IRunAble able){
         *     able.run()
         * }
         *
         * 后学测试时候, 需要分两次调用runner 的方法, 第一次要打印狗跑步,第二次要打印猫跑步 ,注意使用匿名内部了方式
         */

        Anmail anmail = new Anmail();
        anmail.runner(new IRunable() {
            @Override
            public void run() {
                System.out.println("狗跑步");
            }
        });
        anmail.runner(new IRunable() {
            @Override
            public void run() {
                System.out.println("猫跑步");
            }
        });






    }
}
