package com.sf.day14._03_string.test;

import java.util.Arrays;

/**
 * create By  fjl
 */
public class TestStringApi {
    public static void main(String[] args) {
        //字符串 底层就是字符数组 [A,B,C,D]
        String str = "ABCDBCsdfdsfBC";
        // int length() 返回此字符串的字符个数
        System.out.println("字符个数:"+ str.length());
        // char charAt(int index) 返回指定索引位置的字符
        System.out.println("字符为:" + str.charAt(1));

//        int indexOf(String str) 返回指定字符串str在此字符串中从左向右第一次出现处的索引位置
        System.out.println("BC出现位置:" + str.indexOf("BC"));

        // 第一次出现sd位置
        System.out.println("sd出现位置:"+ str.indexOf("sd"));

//        boolean endWith(String suffix)  判断是否是以某一个字符串开始
//        boolean endWith(String suffix)  判断是否以某一个字符串结束
        String str1 = "HELLO WORD";
        String str2 = "hello word";
        //判断是否是以HELLO 开头  以WORD 结束
        System.out.println(str1.startsWith("HELLO"));
        System.out.println(str1.endsWith("WORD"));
        System.out.println(str1.equals(str));
        System.out.println(str1.equals(str2));
        System.out.println(str1.equalsIgnoreCase(str2));

        String str3 = "Hello Word";
        // String toUpperCase()  把当前字符串转换为大写
        System.out.println(str3.toUpperCase());
        // String toLowerCase()  把当前字符串转换为小写
        System.out.println(str3.toLowerCase());

        String str4 = "test123456";
        // 需求截取字符串123456
        System.out.println(str4.substring(4));
        // 需求截取 st123    [2,7)   2,3,4,5,6
        System.out.println(str4.substring(2,7));

//        String replace(String oldStr,  String newStr)  替换
        System.out.println(str4.replace("st","sb"));
//        String trim() 返回一个字符串，其值为此字符串，并删除任何前导和尾随空格。
        String str5 = "    hello word   ";
        System.out.println(str5.trim());

        String str6 = "A,B,C";
        String[] arr = str6.split(",");
        System.out.println(Arrays.toString(arr));

    }
}
